Skip to main content
PUT
/
api
/
agent
/
settings
Update agent preferences (partial update)
curl --request PUT \
  --url https://www.citedy.com/api/agent/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "defaultPlatforms": [
    "<string>"
  ],
  "imageStylePreset": "minimal",
  "contentTone": "professional",
  "publishSchedule": {
    "postsPerDay": 2,
    "slots": [
      "<string>"
    ]
  },
  "targetTimezone": "<string>",
  "trustLevel": "ask_all",
  "scanSources": [
    "x"
  ]
}
'
{
  "defaultPlatforms": [
    "linkedin"
  ],
  "imageStylePreset": "minimal",
  "contentTone": "professional",
  "publishSchedule": {
    "postsPerDay": 2,
    "slots": [
      "<string>"
    ]
  },
  "targetTimezone": "America/New_York",
  "trustLevel": "show_preview",
  "scanSources": [
    "x"
  ]
}

Authorizations

Authorization
string
header
required

Bearer citedy_agent_* key

Body

application/json

All fields optional — partial update

defaultPlatforms
string[]
Maximum array length: 10
imageStylePreset
enum<string>
Available options:
minimal,
tech,
bold
contentTone
enum<string>
Available options:
professional,
casual,
bold
publishSchedule
object
targetTimezone
string
trustLevel
enum<string>
Available options:
ask_all,
show_preview,
autopilot
scanSources
enum<string>[]
Available options:
x,
google,
hn,
reddit,
producthunt

Response

Updated settings

defaultPlatforms
enum<string>[]
required
Maximum array length: 10
Available options:
linkedin,
x_article,
x_thread,
facebook,
reddit,
threads,
instagram
imageStylePreset
enum<string>
default:minimal
required
Available options:
minimal,
tech,
bold
contentTone
enum<string>
default:professional
required
Available options:
professional,
casual,
bold
publishSchedule
object
required
targetTimezone
string
default:America/New_York
required
trustLevel
enum<string>
default:show_preview
required
Available options:
ask_all,
show_preview,
autopilot
scanSources
enum<string>[]
required
Available options:
x,
google,
hn,
reddit,
producthunt